Page MenuHomePhabricator

Migrate EventLogging MediaViewer data to Event Platform
Closed, DeclinedPublic

Description

We're slowing migrating EventLogging schemas off of metawiki and into git repos and to Event Platform. The process should be transparent and backwards compatible to users using data in Hive.

@Tgr https://meta.wikimedia.org/wiki/Schema_talk:MediaViewer says you are the maintainer of this stream. Mind if I proceed with the migration?

Event Timeline

Ottomata created this task.Aug 17 2020, 5:52 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 17 2020, 5:52 PM
Tgr added a comment.Aug 17 2020, 8:05 PM

Any association I had with MediaViewer is lost in the mists of time. The Structured Data team is probably closest to being a maintainer (not sure how close that is).
My guess would be that no one has looked at that data for a long, long time, and it's fine to migrate or remove it (whichever is easier).

Oh if we can remove it that is even better! Who should we ping?

Tgr added a comment.Aug 17 2020, 8:14 PM

Someone would have to remove the logging code from MediaViewer first, I imagine? Or maybe disable it via site config, that's less effort. According to the maintainers page it's owned by Structured Data so you should probably ask them.

K, trying to find pingables, from https://www.mediawiki.org/wiki/Reading/Multimedia/Structured_Data#Structured_Data_on_Wikimedia_Commons I got

@matthiasmullie @Lydia_Pintscher

Do you need to collect this data anymore? Can we deactivate the MediaViewer EventLogging data?

I don't have a stake in it :D @Ramsey-WMF might though.

Ramsey-WMF added a subscriber: MarkTraceur.

@Ottomata I discussed this with @MarkTraceur and we think you can go ahead and deactivate the MediaViewer EventLogging. We'll tackle implementing Event Platform for that code at a later date. Thanks!

Awesome, thanks! Are there any other EventLogging schemas you all own that we can get rid of? (See the list in T259163). E.g. MediaViewerPerf or any of the MultimediaViewer* schemas?

Schema:MultimediaViewerAttribution
Schema:MultimediaViewerDimensions
Schema:MultimediaViewerDuration
Schema:MultimediaViewerNetworkPerformance
Schema:MultimediaViewerVariant
Schema:MultimediaViewerVersusPageFilePerformance

@Ottomata you can probably axe all of them, we have yet to decide which might be useful and/or a reason for having them, but it'll be some time before we have the capacity to address it. Thanks :)

Tgr added a comment.Aug 18 2020, 8:18 PM

All the other logging mechanisms have been removed from MediaViewer AFAIK. The schemas are all marked as inactive.

Milimetric moved this task from Incoming to Event Platform on the Analytics board.Aug 24 2020, 4:19 PM
Milimetric added a subscriber: Milimetric.

All the other logging mechanisms have been removed from MediaViewer AFAIK. The schemas are all marked as inactive.

This doesn't seem to be the case, multimediaviewerduration has data through the present time. So it's up to I guess the Structured Data team to deactivate the instrumentation.

@Ottomata you can probably axe all of them, we have yet to decide which might be useful and/or a reason for having them, but it'll be some time before we have the capacity to address it. Thanks :)

Just to be clear, if we deactivate this processing, that means you can't decide later, the data would be lost. Please confirm if that's ok.

Milimetric triaged this task as Medium priority.Aug 24 2020, 4:19 PM
Nuria added a comment.Aug 24 2020, 9:04 PM

pinging @MarkTraceur and @Ramsey-WMF so they confirm they no longer wish to process this data, note that instrumentation should be removed by team from the FE code, we are just stopping the processing of events

Confirming that there's no need to process this data. The SD team will replace the code with Event Platform at a later date. Will there be any detrimental effects if that code stays up for a while until we can get to it?

if up for a little while is 1 month, no. But leaving that code unmaintained for a long time will just eventually cause client side errors for the users.

Change 625771 had a related patch set uploaded (by Gergő Tisza; owner: Gergő Tisza):
[operations/mediawiki-config@master] Disable event logging in MediaViewer

https://gerrit.wikimedia.org/r/625771

Change 625771 merged by jenkins-bot:
[operations/mediawiki-config@master] Disable event logging in MediaViewer

https://gerrit.wikimedia.org/r/625771

Mentioned in SAL (#wikimedia-operations) [2020-10-13T23:14:20Z] <catrope@deploy1001> Synchronized wmf-config/InitialiseSettings.php: Disable event logging in MediaViewer (T260582) (duration: 01m 04s)

Ottomata closed this task as Declined.Thu, Oct 15, 6:22 PM

We disabled this stream instead. Thanks all!